"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.x = exports.xpath2css = exports.isXPath = exports.parse = void 0;
const parser_1 = __importDefault(require("./parser"));
const to_selector_1 = __importDefault(require("./to-selector"));
const parse = (query) => new parser_1.default(query).parse();
exports.parse = parse;
const isXPath = (query) => {
    try {
        (0, exports.parse)(query);
        return true;
    }
    catch (e) {
        return false;
    }
};
exports.isXPath = isXPath;
const xpath2css = (query) => (0, to_selector_1.default)((0, exports.parse)(query));
exports.xpath2css = xpath2css;
exports.default = exports.xpath2css;
const x = (arg, ...param) => {
    if (arg.length <= 1) {
        return (0, exports.xpath2css)(arg[0]);
    }
    let query = arg[0];
    for (let i = 1; i < arg.length; i++) {
        query += String(param[i - 1]);
        query += arg[i];
    }
    return (0, exports.xpath2css)(query);
};
exports.x = x;
